org.wildfly.swarm.messaging

## Class MessagingFraction

- java.lang.Object
- - org.wildfly.swarm.config.MessagingActiveMQ<MessagingFraction>
  - - org.wildfly.swarm.messaging.MessagingFraction

- All Implemented Interfaces:
    Fraction<MessagingFraction>

      public class MessagingFraction
      extends MessagingActiveMQ<MessagingFraction>
      implements Fraction<MessagingFraction>

  Author:
    Bob McWhirter, Lance Ball

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.MessagingActiveMQ

      `MessagingActiveMQ.MessagingActiveMQResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagingFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessagingFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static MessagingFraction` | `createDefaultFraction()` Create a fraction with the default local server.
    `static MessagingFraction` | `createDefaultFraction(EnhancedServerConsumer config)` Create a fraction and configure the default local server.
    `MessagingFraction` | `defaultServer()` Create the default local server if required.
    `MessagingFraction` | `defaultServer(EnhancedServerConsumer config)` Configure the default local server, creating it first if required.
    `MessagingFraction` | `server(String childKey, EnhancedServerConsumer config)` Configure a named server.

    - ### Methods inherited from class org.wildfly.swarm.config.MessagingActiveMQ

      `addPropertyChangeListener, getKey, globalClientScheduledThreadPoolMaxSize, globalClientScheduledThreadPoolMaxSize, globalClientThreadPoolMaxSize, globalClientThreadPoolMaxSize, jmsBridge, jmsBridge, jmsBridge, jmsBridge, jmsBridges, removePropertyChangeListener, server, server, server, server, servers, subresources`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### MessagingFraction

          public MessagingFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static MessagingFraction createDefaultFraction()

      Create a fraction with the default local server.
      Returns:
        This fraction.

    - #### applyDefaults

          public MessagingFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<MessagingFraction>`
      Returns:
        this fraction.

    - #### createDefaultFraction

          public static MessagingFraction createDefaultFraction(EnhancedServerConsumer config)

      Create a fraction and configure the default local server.
      Parameters:
        `config` - The configurator.
      Returns:
        This fraction.

    - #### defaultServer

          public MessagingFraction defaultServer()

      Create the default local server if required.
      Returns:
        This fraction.

    - #### defaultServer

          public MessagingFraction defaultServer(EnhancedServerConsumer config)

      Configure the default local server, creating it first if required.
      Parameters:
        `config` - The configurator.
      Returns:
        This fraction.

    - #### server

          public MessagingFraction server(String childKey,
                                          EnhancedServerConsumer config)

      Configure a named server.
      Parameters:
        `childKey` - The key (name) of the server.
        `config` - The configurator.
      Returns:
        This fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.